Argus API Argus Camera API

- Main Page
- Related Pages
- Namespaces
- Classes
- Files

- Class List
- Class Index
- Class Hierarchy
- Class Members

All Classes Namespaces Files Functions Variables Typedefs Enumerations Enumerator Macros Pages
Public Member Functions | Static Public Member Functions | Protected Member Functions
Argus::IStreamSettings Class Reference

`#include <Settings.h>`

Inheritance diagram for Argus::IStreamSettings:

List of all members.

## Public Member Functions

virtual Status | setSourceClipRect (const NormalizedRect &clipRect)=0
| Sets the clip rectangle for the stream.
virtual NormalizedRect | getSourceClipRect () const =0
| Returns the clip rectangle for the stream.
virtual void | setPostProcessingEnable (bool enable)=0
| Sets whether or not post-processing is enabled for this stream.
virtual bool | getPostProcessingEnable () const =0
| Returns the post-processing enable for the stream.

## Static Public Member Functions

static const InterfaceID & | id ()

## Protected Member Functions

| ~IStreamSettings ()
Protected Member Functions inherited from Argus::Interface
| Interface ()
| ~Interface ()

## Detailed Description

- Exposed by the per-Stream InterfaceProviders returned by IRequest::getStreamSettings().

An interface to per-stream settings.

Definition at line 408 of file Settings.h.

## Constructor & Destructor Documentation

Argus::IStreamSettings::~IStreamSettings | ( |  | ) |

inlineprotected

Definition at line 446 of file Settings.h.

## Member Function Documentation

virtual bool Argus::IStreamSettings::getPostProcessingEnable | ( |  | ) | const

pure virtual

Returns the post-processing enable for the stream.

virtual NormalizedRect Argus::IStreamSettings::getSourceClipRect | ( |  | ) | const

pure virtual

Returns the clip rectangle for the stream.

static const InterfaceID& Argus::IStreamSettings::id | ( |  | ) |

inlinestatic

Definition at line 411 of file Settings.h.

virtual void Argus::IStreamSettings::setPostProcessingEnable | ( | bool | enable | ) |

pure virtual

Sets whether or not post-processing is enabled for this stream.

Post-processing features are controlled on a per-Request basis and all streams share the same post-processing control values, but this enable allows certain streams to be excluded from all post-processing. The current controls defined to be a part of "post-processing" includes:

- Denoise
- Video Stabilization Default value is true.

virtual Status Argus::IStreamSettings::setSourceClipRect | ( | const NormalizedRect & | clipRect | ) |

pure virtual

Sets the clip rectangle for the stream.

A clip rectangle is a normalized rectangle with valid coordinates contained in the [0.0,1.0] range.

Parameters:

  [in] | clipRect | The clip rectangle.

Returns:
  success/status of the call.

The documentation for this class was generated from the following file:

- include/Argus/Settings.h